petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscSFWindowGetSyncType

get synchrozitaion type for PetscSF communication

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFWindowGetSyncType(PetscSF sf,PetscSFWindowSyncType *sync)

Logically Collective Many br

### Input Argument

sf -star forest for communication Many br

### Output Argument

sync -synchronization type Many br

Many br

### See Also

PetscSFGetFromOptions(), PetscSFWindowSetSyncType()

Level:advanced
Location:src/vec/is/sf/impls/window/sfwindow.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages